use winit::window::{CursorGrabMode, WindowId};

use crate::core::scene::AsScene;

pub enum UserEvent {
    CursorGrabMode(WindowId, CursorGrabMode),
    CursorVisible(WindowId, bool),
    ChangeScene(WindowId, Box<dyn AsScene>),
    ChangeResolution(WindowId, f32, f32),
    Exit(WindowId),
}
