mod buffer;
mod command;
mod descriptor_set;
pub mod vulkan_resource;

pub mod camera;
pub mod mvp;
pub mod transform;
pub mod velocity;
pub mod vertex;
pub use buffer::{AsBindableBuffer, AsIndexBuffer, AsUniformBuffer, AsVertexBuffer};
pub use command::{AsRecordable, AsRenderableMesh, AsRenderableMeshInstance};
pub use descriptor_set::{AsDescriptorSet, AsDescriptorSetLayoutBindings};
